<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
    <div class="bottom-spacing"></div>

  </div>
</template>

<script>
import PostComponent from "../../components/page-components/PostComponent.vue"

export default {
  components:{
    PostComponent
  },
  data() {

  },
  async asyncData({app, $services, $links}){
    var i18n = app.i18n

    var activeAsgardVault = $links('viewblock_vault_asgard')
    return {
          posts: [
            {
          thread: false,
          header: {
            text: i18n.t("Ecosystem"),
            avatar: require("~/assets/images/home-page/avatar-molecule.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("The ecosystem is entirely community-driven. Explore the trusted products and services built by THORChads.")] },
            {type: 'table-links', links: [
              {text: i18n.t("Arbitrageur Tools"), link: $links('slash_arbitrageur_tools')},
              {text: i18n.t("DAO's"), link: $links('slash_daos')},
              {text: i18n.t("Data Analyst Tools"), disable: true, tag: 'soon'},
              {text: i18n.t("Insurance"), link: $links('slash_insurance')},
              {text: i18n.t("Liquidity Provider Tools"), link: $links('slash_liquidity_provider_tools')},
              {text: i18n.t("Marketing Tools"), disable: true, tag: 'soon'},
              {text: i18n.t("Name Service"), link: $links('slash_thornames')},
              {text: i18n.t("Network Explorers"), link: $links('slash_network_explorers')},
              {text: i18n.t("NFT Collections"), link: $links('slash_nft_collections')},
              {text: i18n.t("Swap/Pool Interfaces"), link: $links('slash_interfaces')},
              {text: i18n.t("Software/Hardware Wallets"), link: $links('slash_wallets')},
              {text: i18n.t("Project Funding"), link: $links('slash_project_funding')}
            ]}
          ],
          endLine: false,
        }
      ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
